states.push({
	id: "buy-solar-array",
	button: "Buy Solar Array (₩4000)",
	action: "Purchasing",
	show: () => !isFlagEnabled('solar-array-purchased'),
	duration: 300,
	requires: () => {
		let enoughMoney = userData.money >= 4000;
		if (!enoughMoney) {
			errorMessage = "Not enough money to buy solar array";
			return false;
		}
		let confirmPurchase = confirm(`Are you sure you want to purchase a solar array for ₩4000?`);
		return confirmPurchase;
	},
	run: () => {
		userData.money -= 4000;
		setFlag('solar-array-purchased');
	},
});